From 191734b81504d4a9f030db5fd233fa9546b13061 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Mar 26 2022 09:58:28 +0000
Subject: [PATCH 12/28] [iceweasel]: revert v98 branding


this build has problem with playback of some media files

https://lists.parabola.nu/pipermail/dev/2022-March/008200.html

reverting the branding changes only as a precaution,
to reduce the diff, until that problem goes away

most likely, there is nothing wrong with the branding changes though,
and they are not the cause of the media troubles
they worked fine against 97.0.2

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 0350de4..4014216 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -37,7 +37,6 @@
 #  - allow skipping profiling build for x86_64 (_x86_64_skip_pgo)
 #  - prefer as many system libs as possible, over their vendored couterparts
 #  - Rebrand to Iceweasel, per the mozilla trademark policy, due to the FSDG changes
-#  - set user profile directory to ~/.mozilla/iceweasel
 #
 # privacy:
 #  - Remove Google API keys and usage
@@ -62,8 +61,8 @@ pkgname=iceweasel
 epoch=1
 pkgver=98.0
 pkgrel=1
-pkgrel+=.parabola6
-_brandingver=98.0-1
+pkgrel+=.parabola7
+_brandingver=95.0-1
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 arch=(x86_64)
 arch+=(armv7h i686)
@@ -106,7 +105,7 @@ source_i686=('avoid-libxul-OOM-python-check.patch'
 sha256sums=('fd0a4c11d007d9045706667eb0f99f9b7422945188424cb937bfef530cb6f4dd'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58')
-sha256sums+=('f3e89499909b172476e931d9ab18b856d0001e3042b3816d1728809536179768'
+sha256sums+=('d1b9d98cea5356df97fc5c221830de1ced8f826cb39fac9427c407e3eae54c02'
              'SKIP'
              'a4e3c3869085cb282cb5a0fcb64e816c0415f25d4792a62c4f1d599d3111b23c'
              'cb3079a0dc30321183bf8e112532c6f2aad045f68103f8d422c9691137aa770e'
@@ -676,21 +675,4 @@ END
   if [[ -e $nssckbi ]]; then
     ln -srfv "$pkgdir/usr/lib/libnssckbi.so" "$nssckbi"
   fi
-
-
-  # BEGIN RENAME_PROFILE
-  # replace binary with a temporary wrapper, to rename the user profile directory
-  # NOTE: prior to v98, if another 'firefox' is installed in addition to iceweasel,
-  #       both applications would share a profile, which is not very sane behavior.
-  # TODO: this 'rename-profile' source file, and the following two LOC,
-  #       could be removed after a reasonable deprecation period (eg: in 2023)
-  mv                                  "${pkgdir}"/usr/lib/iceweasel/ice{,-}weasel
-  install -Dm755 ../rename-profile.sh "${pkgdir}"/usr/lib/iceweasel/iceweasel
-  # END RENAME_PROFILE
 }
-
-
-# BEGIN RENAME_PROFILE - temporary - see note in package()
-depends+=(gxmessage) ; source+=(rename-profile.sh) ;
-sha256sums+=('e8f8a53ff340e36912c39247d40b6c2915bbbe437d2fc21b3e7cc09b1b534389')
-# END RENAME_PROFILE
